package com.dev.swms.server.model.interfaces;
import java.util.Date;

/**
 * 采购单传送接口
 * @author 44700
 *
 */
import com.dev.energy.server.model.Entity;

public class InterfaceWmsPurchase extends Entity{
	
	/**公司号*/
	private String companyKeyOrderNo;
	
	/**定单 号*/
	private String documentNumber;
	
	/**定单类型*/
	private String orderType;
	
	/**单据后缀 */
	private String orderSuffix;
	
	/**JDE 明细行号*/
	private String lineNumber;
	
	/**仓库 */
	private String costCenter;
	
	/**公司*/
	private String company;
	
	/**单据 公司 */
	private String companyKeyOriginal;
	
	/**地址 号 */
	private String addressNumber;
	
	/**发运至 地址号 */
	private String addressNumberShipTo;
	
	/**请求 日期 【计划到货日期】 */
	private String dateRequestedJulian;
	
	/**定单 日期 【下单日期】 */
	private String dateTransactionJulian;
	
	/**计划 提货  */
	private String scheduledPickDate;
	
	/**实际发运 日期 */
	private String actualShipDate;
	
	/**第二项目 号  */
	private String identifier2ndItem;
	
	/**说明  */
	private String descriptionLine1;
	
	/**说明 行 2  */
	private String descriptionLine2;
	
	/**计量单位  */
	private String unitOfMeasureAsInput;
	
	/**定购 数量 */
	private String unitsTransactionQty;
	
	/**额外字段 */
	private String everestEventPoint01;
	
	/**业务记录 发起人 */
	private String transactionOriginator;
	
	/**用户 号  */
	private String userId;
	
	/**更新 日期  */
	private String dateUpdated;
	
	/**接口任务号（待确定) */
	private String sessionID;
	
	/**异常说明  */
	private String description001;
	
	/**处理结果（Y/N）*/
	private String yesOrNoEntry;
	
	/**最后更新时间  */
	private String timeLastUpdated;
	
	/**JDE 单据号  */
	private String documentOrderInvoiceE;
	
	/**状态  */
	private String nextStauts;
	
	/**最大读取记录数  */
	private String maxReturnedRows;
	
	/**异常描述*/
	private String exception_des;
	
	/**状态*/
	private String status;
	
	/**创建时间*/
	private Date createDate;
	
	
	
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getException_des() {
		return exception_des;
	}
	public void setException_des(String exception_des) {
		this.exception_des = exception_des;
	}
	public String getCompanyKeyOrderNo() {
		return companyKeyOrderNo;
	}
	public void setCompanyKeyOrderNo(String companyKeyOrderNo) {
		this.companyKeyOrderNo = companyKeyOrderNo;
	}
	public String getDocumentNumber() {
		return documentNumber;
	}
	public void setDocumentNumber(String documentNumber) {
		this.documentNumber = documentNumber;
	}
	public String getOrderType() {
		return orderType;
	}
	public void setOrderType(String orderType) {
		this.orderType = orderType;
	}
	public String getOrderSuffix() {
		return orderSuffix;
	}
	public void setOrderSuffix(String orderSuffix) {
		this.orderSuffix = orderSuffix;
	}
	public String getLineNumber() {
		return lineNumber;
	}
	public void setLineNumber(String lineNumber) {
		this.lineNumber = lineNumber;
	}
	public String getCostCenter() {
		return costCenter;
	}
	public void setCostCenter(String costCenter) {
		this.costCenter = costCenter;
	}
	public String getCompany() {
		return company;
	}
	public void setCompany(String company) {
		this.company = company;
	}
	public String getCompanyKeyOriginal() {
		return companyKeyOriginal;
	}
	public void setCompanyKeyOriginal(String companyKeyOriginal) {
		this.companyKeyOriginal = companyKeyOriginal;
	}
	public String getAddressNumber() {
		return addressNumber;
	}
	public void setAddressNumber(String addressNumber) {
		this.addressNumber = addressNumber;
	}
	public String getAddressNumberShipTo() {
		return addressNumberShipTo;
	}
	public void setAddressNumberShipTo(String addressNumberShipTo) {
		this.addressNumberShipTo = addressNumberShipTo;
	}
	public String getDateRequestedJulian() {
		return dateRequestedJulian;
	}
	public void setDateRequestedJulian(String dateRequestedJulian) {
		this.dateRequestedJulian = dateRequestedJulian;
	}
	public String getDateTransactionJulian() {
		return dateTransactionJulian;
	}
	public void setDateTransactionJulian(String dateTransactionJulian) {
		this.dateTransactionJulian = dateTransactionJulian;
	}
	public String getScheduledPickDate() {
		return scheduledPickDate;
	}
	public void setScheduledPickDate(String scheduledPickDate) {
		this.scheduledPickDate = scheduledPickDate;
	}
	public String getActualShipDate() {
		return actualShipDate;
	}
	public void setActualShipDate(String actualShipDate) {
		this.actualShipDate = actualShipDate;
	}
	public String getIdentifier2ndItem() {
		return identifier2ndItem;
	}
	public void setIdentifier2ndItem(String identifier2ndItem) {
		this.identifier2ndItem = identifier2ndItem;
	}
	public String getDescriptionLine1() {
		return descriptionLine1;
	}
	public void setDescriptionLine1(String descriptionLine1) {
		this.descriptionLine1 = descriptionLine1;
	}
	public String getDescriptionLine2() {
		return descriptionLine2;
	}
	public void setDescriptionLine2(String descriptionLine2) {
		this.descriptionLine2 = descriptionLine2;
	}
	public String getUnitOfMeasureAsInput() {
		return unitOfMeasureAsInput;
	}
	public void setUnitOfMeasureAsInput(String unitOfMeasureAsInput) {
		this.unitOfMeasureAsInput = unitOfMeasureAsInput;
	}
	public String getUnitsTransactionQty() {
		return unitsTransactionQty;
	}
	public void setUnitsTransactionQty(String unitsTransactionQty) {
		this.unitsTransactionQty = unitsTransactionQty;
	}
	public String getEverestEventPoint01() {
		return everestEventPoint01;
	}
	public void setEverestEventPoint01(String everestEventPoint01) {
		this.everestEventPoint01 = everestEventPoint01;
	}
	public String getTransactionOriginator() {
		return transactionOriginator;
	}
	public void setTransactionOriginator(String transactionOriginator) {
		this.transactionOriginator = transactionOriginator;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getDateUpdated() {
		return dateUpdated;
	}
	public void setDateUpdated(String dateUpdated) {
		this.dateUpdated = dateUpdated;
	}
	public String getSessionID() {
		return sessionID;
	}
	public void setSessionID(String sessionID) {
		this.sessionID = sessionID;
	}
	public String getDescription001() {
		return description001;
	}
	public void setDescription001(String description001) {
		this.description001 = description001;
	}
	public String getYesOrNoEntry() {
		return yesOrNoEntry;
	}
	public void setYesOrNoEntry(String yesOrNoEntry) {
		this.yesOrNoEntry = yesOrNoEntry;
	}
	public String getTimeLastUpdated() {
		return timeLastUpdated;
	}
	public void setTimeLastUpdated(String timeLastUpdated) {
		this.timeLastUpdated = timeLastUpdated;
	}
	public String getDocumentOrderInvoiceE() {
		return documentOrderInvoiceE;
	}
	public void setDocumentOrderInvoiceE(String documentOrderInvoiceE) {
		this.documentOrderInvoiceE = documentOrderInvoiceE;
	}
	public String getNextStauts() {
		return nextStauts;
	}
	public void setNextStauts(String nextStauts) {
		this.nextStauts = nextStauts;
	}
	public String getMaxReturnedRows() {
		return maxReturnedRows;
	}
	public void setMaxReturnedRows(String maxReturnedRows) {
		this.maxReturnedRows = maxReturnedRows;
	}
	
	
	
	
	
}
